%define plugin check_updates
%define nagiospluginsdir %{_libdir}/nagios/plugins

# No binaries in this package
%define debug_package %{nil}

Name:          nagios-plugins-check-updates
Version:       2.0.5
Release:       30.1
Summary:       A Nagios plugin to check if Red Hat or Fedora system is up-to-date

Group:         Applications/System
License:       GPLv3+
URL:           https://github.com/matteocorti/check_updates
Source:        https://github.com/matteocorti/check_updates/releases/download/v%{version}/check_updates-%{version}.tar.gz
Patch0:	       check_updates-1.7.6-xcpng.patch
Patch1:		check_updates-1.8.0_version.diff
Patch2:		check_updates-1.7.10-outputfix.diff
Patch3:		check_updates-1.8.0-alma-rocky-linux.patch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Install)

Requires:      nagios-plugins
Requires:      which
Requires:	perl(Carp)
Requires:	perl(English)
Requires:	perl(Monitoring::Plugin)
Requires:	perl(POSIX)
Requires:	perl(Readonly)
Requires:	perl(Params::Validate)
Requires:	perl(Math::Calc::Units)
Requires:	perl(Class::Accessor)
Requires:	perl(Config::Tiny)

# Yum security plugin:
#   Fedora >= 19         : yum-plugin-security (is now provided by the yum package)
#   Fedora <= 18         : yum-plugin-security (yum-utils subpackage; also provides yum-security)
#   Red Hat Enterprise 6 : yum-plugin-security (yum-utils subpackage; also provides yum-security)
#   Red Hat Enterprise 5 : yum-security (yum-utils subpackage)
%if 0%{?rhel} && 0%{?rhel} < 8
Requires:      yum-plugin-security
%endif
Requires:      perl(Monitoring::Plugin)

Obsoletes:     check_updates

%description
%{summary}.


%prep
%setup -q -n %{plugin}-%{version}
## %patch0
%if ( 0%{?centos_version} && 0%{?centos_version} < 800 ) || ( 0%{?rhel_version} && 0%{?rhel_version} < 800 ) || ( 0%{?rhel} && 0%{?rhel} < 8 )
%patch1
%endif
%patch2
## %patch3

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{nagiospluginsdir} \
    INSTALLVENDORSCRIPT=%{nagiospluginsdir}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
#make test


%files
%doc AUTHORS.md Changes NEWS README.md COPYING COPYRIGHT
%{nagiospluginsdir}/*
%{_mandir}/man1/*.1*


%changelog
* Fri Mar 22 2024 Carsten Schöne <carsten.schoene@internetx.com>
- update to release 2.0.5
* Fri Jul  7 2023 Carsten Schöne <carsten.schoene@internetx.com>
- update to release 2.0.4
* Wed Dec 21 2022 Carsten Schöne <carsten.schoene@internetx.com>
- update to release 2.0.3
* Fri Jun 26 2020 Local OBS User <cs@linux-administrator.com>
- update to release 1.7.12
* Mon Mar 16 2020 Local OBS User <cs@linux-administrator.com>
- update to release 1.7.10
* Sat Feb  1 2020 Local OBS User <cs@linux-administrator.com>
- update to release 1.7.8
* Wed Dec 11 2019 Local OBS User <cs@linux-administrator.com>
- update to release 1.7.6
- reworked patches for XCP-NG support and outputfix
* Wed Oct  2 2019 Local OBS User <cs@linux-administrator.com>
- add check_updates-1.7.5-outputfix.diff
* Tue Oct  1 2019 Local OBS User <cs@linux-administrator.com>
- update to release 1.7.5
* Fri Apr 26 2019 Local OBS User <cs@linux-administrator.com>
- add check_updates-1.6.23-xcpng.patch
